Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.rng
Class MRG32k3aL

    java.lang.Object
      umontreal.iro.lecuyer.rng.RandomStreamBase
          umontreal.iro.lecuyer.rng.MRG32k3aL

All Implemented Interfaces:
  Serializable, Cloneable, CloneableRandomStream, RandomStream

    public class MRG32k3aL

extends RandomStreamBase

The same generator as `MRG32k3a`, except here it is implemented with type `long` instead of `double`. (See `MRG32k3a` for more information.)

See Also:
  Serialized Form

Constructor Summary
`MRG32k3aL()`
`MRG32k3aL(String name)`

Method Summary
`MRG32k3aL` | `clone()` Clones the current generator and return its copy.
`long[]` | `getState()`
`void` | `resetNextSubstream()` Reinitializes the stream to the beginning of its next substream: Ng is computed, and Cg and Bg are set to Ng.
`void` | `resetStartStream()` Reinitializes the stream to its initial state Ig: Cg and Bg are set to Ig.
`void` | `resetStartSubstream()` Reinitializes the stream to the beginning of its current substream: Cg is set to Bg.
`static void` | `setPackageSeed(long[] seed)`
`void` | `setSeed(long[] seed)`
`String` | `toString()` Returns a string containing the current state of this stream.
`String` | `toStringFull()`

Methods inherited from class umontreal.iro.lecuyer.rng.RandomStreamBase
`formatState, formatStateFull, increasedPrecision, nextArrayOfDouble, nextArrayOfInt, nextDouble, nextInt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MRG32k3aL

    public MRG32k3aL()

### MRG32k3aL

    public MRG32k3aL(String name)

Parameters:
  `name` - name of the stream

Method Detail

### setPackageSeed

    public static void setPackageSeed(long[] seed)

  Parameters:
    `seed` - array of 6 elements representing the seed

### setSeed

    public void setSeed(long[] seed)

  Parameters:
    `seed` - array of 6 integers representing the new seed

### resetStartStream

    public void resetStartStream()

  Description copied from interface: `RandomStream`
  Reinitializes the stream to its initial state Ig: Cg and Bg are set to Ig.

  Specified by:
    `resetStartStream` in interface `RandomStream`
  Specified by:
    `resetStartStream` in class `RandomStreamBase`

### resetStartSubstream

    public void resetStartSubstream()

  Description copied from interface: `RandomStream`
  Reinitializes the stream to the beginning of its current substream: Cg is set to Bg.

  Specified by:
    `resetStartSubstream` in interface `RandomStream`
  Specified by:
    `resetStartSubstream` in class `RandomStreamBase`

### resetNextSubstream

    public void resetNextSubstream()

  Description copied from interface: `RandomStream`
  Reinitializes the stream to the beginning of its next substream: Ng is computed, and Cg and Bg are set to Ng.

  Specified by:
    `resetNextSubstream` in interface `RandomStream`
  Specified by:
    `resetNextSubstream` in class `RandomStreamBase`

### getState

    public long[] getState()

  Returns:
    the current state of the generator

### toString

    public String toString()

  Description copied from interface: `RandomStream`
  Returns a string containing the current state of this stream.

  Specified by:
    `toString` in interface `RandomStream`
  Specified by:
    `toString` in class `RandomStreamBase`
  Returns:
    the state of the generator, formated as a string

### toStringFull

    public String toStringFull()

  Returns:
    the detailed state of the generator, formatted as a string

### clone

    public MRG32k3aL clone()

  Description copied from class: `RandomStreamBase`
  Clones the current generator and return its copy.

  Specified by:
    `clone` in interface `CloneableRandomStream`
  Overrides:
    `clone` in class `RandomStreamBase`
  Returns:
    A deep copy of the current generator

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.